
FROM node:alpine
RUN apk add --no-cache build-base gcc autoconf automake libtool zlib-dev libpng-dev nasm
WORKDIR /opt/strapi
RUN echo "unsafe-perm = true" >> ~/.npmrc
RUN npm install pg --save
RUN npm install -g strapi@beta
RUN strapi new  --dbclient postgres --dbhost ubudb --dbport 5432  --dbname ubudb  --dbusername ubudb --dbpassword estiam101 ubudb
WORKDIR ubudb
COPY strapi-request.json  config/environments/development/request.json
RUN yarn build
RUN pwd
RUN ls -la
CMD ["strapi","develop"]
#CMD ["ping", "8.8.8.8"]
